# Class StarTableDataNode

java.lang.Object
uk.ac.starlink.datanode.nodes.DefaultDataNode
uk.ac.starlink.datanode.nodes.StarTableDataNode

All Implemented Interfaces:
  `DataNode`

Direct Known Subclasses:
  `JDBCDataNode`

public class StarTableDataNode extends DefaultDataNode
DataNode representing a StarTable.

## Constructor Summary

Constructors
Constructor
Description
`StarTableDataNode(String loc)`
`StarTableDataNode(uk.ac.starlink.table.StarTable startable)`
`StarTableDataNode(uk.ac.starlink.util.DataSource datsrc)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getDataObject(DataType dtype)`
The `DefaultDataNode` implementation returns any data object which has been registered using `DefaultDataNode.registerDataObject(DataType, Object)`.
`String`
`getDescription()`
Gets a concise description of this object.
`String`
`getName()`
Gets the name of this object.
`String`
`getNodeTLA()`
The `DefaultDataNode` implementation returns the string "...".
`String`
`getNodeType()`
Returns a short sentence indicating what kind of node this is.
`static uk.ac.starlink.table.StarTableFactory`
`getTableFactory()`
`boolean`
`hasDataObject(DataType dtype)`
The `DefaultDataNode` implementation returns true for only those data objects which have been registered using `DefaultDataNode.registerDataObject(DataType, Object)`.
`static uk.ac.starlink.table.StarTable`
`makeStarTable(String loc)`
`static uk.ac.starlink.table.StarTable`
`makeStarTable(uk.ac.starlink.util.DataSource datsrc)`

### Methods inherited from class DefaultDataNode

`allowsChildren, beep, configureDetail, getChildIterator, getChildMaker, getCreator, getIcon, getLabel, getParentObject, getPathElement, getPathSeparator, makeChild, makeErrorChild, registerDataObject, setChildMaker, setCreator, setDescription, setIconID, setLabel, setName, setParentObject, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StarTableDataNode

public StarTableDataNode(uk.ac.starlink.table.StarTable startable)

### StarTableDataNode

public StarTableDataNode(String loc) throws NoSuchDataException

Throws:
  `NoSuchDataException`

### StarTableDataNode

public StarTableDataNode(uk.ac.starlink.util.DataSource datsrc) throws NoSuchDataException

Throws:
  `NoSuchDataException`

## Method Details

### getName

public String getName()
Description copied from interface: `DataNode`
Gets the name of this object. This is an intrinsic property of the object.

Specified by:
  `getName` in interface `DataNode`
Overrides:
  `getName` in class `DefaultDataNode`
Returns:
  the name of the object

### getDescription

public String getDescription()
Description copied from interface: `DataNode`
Gets a concise description of this object. The form of the description will depend on the type of node, but it might detail the shape or type of data represented, or otherwise give some information additional to the name. It should not include the return value of the `getName` method, since they may be presented together. It should be on one line, and preferably no longer than around 70 characters. The `null` value may be returned if there is nothing to say.

Specified by:
  `getDescription` in interface `DataNode`
Overrides:
  `getDescription` in class `DefaultDataNode`
Returns:
  a short string describing this object

### getNodeTLA

public String getNodeTLA()
Description copied from class: `DefaultDataNode`
The `DefaultDataNode` implementation returns the string "...".

Specified by:
  `getNodeTLA` in interface `DataNode`
Overrides:
  `getNodeTLA` in class `DefaultDataNode`
Returns:
  "..."

### getNodeType

public String getNodeType()
Description copied from interface: `DataNode`
Returns a short sentence indicating what kind of node this is. The return value should be just a few words. As a rough guideline it should indicate what the implementing class is.

Specified by:
  `getNodeType` in interface `DataNode`
Overrides:
  `getNodeType` in class `DefaultDataNode`
Returns:
  a short description of the type of this `DataNode`

### hasDataObject

public boolean hasDataObject(DataType dtype)
Description copied from class: `DefaultDataNode`
The `DefaultDataNode` implementation returns true for only those data objects which have been registered using `DefaultDataNode.registerDataObject(DataType, Object)`.

Specified by:
  `hasDataObject` in interface `DataNode`
Overrides:
  `hasDataObject` in class `DefaultDataNode`
Parameters:
  `dtype` - data object type of interest
Returns:
  true iff a subsequent call of `getDataObject(type)` is likely to be successful

### getDataObject

public Object getDataObject(DataType dtype) throws DataObjectException
Description copied from class: `DefaultDataNode`
The `DefaultDataNode` implementation returns any data object which has been registered using `DefaultDataNode.registerDataObject(DataType, Object)`.

Specified by:
  `getDataObject` in interface `DataNode`
Overrides:
  `getDataObject` in class `DefaultDataNode`
Parameters:
  `dtype` - data object type of interest
Returns:
  data object of type `type`
Throws:
  `DataObjectException`

### makeStarTable

public static uk.ac.starlink.table.StarTable makeStarTable(String loc) throws NoSuchDataException

Throws:
  `NoSuchDataException`

### makeStarTable

public static uk.ac.starlink.table.StarTable makeStarTable(uk.ac.starlink.util.DataSource datsrc) throws NoSuchDataException

Throws:
  `NoSuchDataException`

### getTableFactory

public static uk.ac.starlink.table.StarTableFactory getTableFactory()